JBoss API: Class DefaultEventFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.verifier.factory
Class DefaultEventFactory

    java.lang.Object
      |
      +--org.jboss.verifier.factory.DefaultEventFactory

All Implemented Interfaces:
  org.gjt.lindfors.pattern.AbstractFactory, VerificationEventFactory

public class DefaultEventFactory
extends java.lang.Object
implements VerificationEventFactory

Since:
  JDK 1.3
Version:
  $Revision: 1.5 $
Author:
  Juha Lindfors (jplindfo@helsinki.fi)

Field Summary
`static java.lang.String` | `MESSAGE_BUNDLE`

Constructor Summary
`DefaultEventFactory()`

Method Summary
`VerificationEvent` | `createBeanVerifiedEvent(VerificationEventGenerator source)`
`VerificationEvent` | `createSpecViolationEvent(VerificationEventGenerator source, Section section)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MESSAGE_BUNDLE

    public static final java.lang.String MESSAGE_BUNDLE

Constructor Detail

### DefaultEventFactory

    public DefaultEventFactory()

Method Detail

### createSpecViolationEvent

    public VerificationEvent createSpecViolationEvent(VerificationEventGenerator source,
                                                      Section section)

  Specified by:
    `createSpecViolationEvent` in interface `VerificationEventFactory`

### createBeanVerifiedEvent

    public VerificationEvent createBeanVerifiedEvent(VerificationEventGenerator source)

  Specified by:
    `createBeanVerifiedEvent` in interface `VerificationEventFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.